Page MenuHomePhabricator

Different results of Page.getVersion() between compat and core
Open, HighPublic

Description

Page.getVersionHistory() gives a list of tuples but core has 4 items whereas compat gives tuples with 6 items.

Event Timeline

Xqt created this task.May 29 2016, 8:51 AM
Restricted Application added subscribers: pywikibot-bugs-list, Zppix, Aklapper. · View Herald TranscriptMay 29 2016, 8:51 AM
Xqt triaged this task as Unbreak Now! priority.May 29 2016, 8:51 AM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 29 2016, 8:51 AM
Xqt closed this task as Invalid.May 29 2016, 9:05 AM
This comment was removed by Xqt.
Xqt reopened this task as Open.May 29 2016, 9:14 AM
Xqt lowered the priority of this task from Unbreak Now! to High.
Xqt added a project: Pywikibot-compat-to-core.

reopened. This is a breaking change between compat and core. compat had a tuple of 6 items: revision id, edit date/time, user name, edit summary, size and tags (see doc string) but core has 4 items only.

Xqt added a comment.May 29 2016, 9:26 AM

The change was done in compat with https://www.mediawiki.org/wiki/Special:Code/pywikipedia/8556 but wasn't ported to core.

Xqt renamed this task from Page.getVersion() gives wong results to Different results of Page.getVersion() between compat and core.May 29 2016, 9:41 AM
Xqt updated the task description. (Show Details)
Xqt updated the task description. (Show Details)May 29 2016, 7:22 PM

Change 291605 had a related patch set uploaded (by Xqt):
[compat2core] return compat-like list of tuples from getVersionHistory

https://gerrit.wikimedia.org/r/291605

Change 291605 had a related patch set uploaded (by xqt):
[pywikibot/core] [compat2core] return compat-like list of tuples from getVersionHistory

https://gerrit.wikimedia.org/r/291605

Xqt claimed this task.Mar 6 2017, 4:26 PM

Change 404435 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [compat2core] Note different results of getVersionHistory

https://gerrit.wikimedia.org/r/404435

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:30 AM